libzypp 17.37.10

Solvable.h File Reference
`#include <iosfwd>`
`#include <zypp/sat/detail/PoolMember.h>`
`#include <zypp/sat/SolvAttr.h>`
`#include <zypp/ResTraits.h>`
`#include <zypp/IdString.h>`
`#include <zypp/Edition.h>`
`#include <zypp/Arch.h>`
`#include <zypp/Dep.h>`
`#include <zypp/Capabilities.h>`
`#include <zypp/Capability.h>`
`#include <zypp/Locale.h>`

Go to the source code of this file.

## Classes
class | zypp::sat::Solvable
| A Solvable object within the sat Pool. More...
class | zypp::sat::Solvable::SplitIdent
| Helper that splits an identifier into kind and name or vice versa. More...
class | zypp::sat::detail::SolvableIterator
| Iterate over valid Solvables in the pool. More...
struct | zypp::sat::asSolvable
| To Solvable transform functor. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
namespace | zypp::sat::detail

## Functions
| ZYPP_DEFINE_ID_HASHABLE (::zypp::sat::Solvable)

## Function Documentation

## ◆ ZYPP_DEFINE_ID_HASHABLE()

ZYPP_DEFINE_ID_HASHABLE | ( | ::zypp::sat::Solvable |  | ) |